### Hierarchy

- DeepCopy<Pageable>
  - Pageable

## Index

### Constructors

- constructor

### Properties

- page
- size
- sort

### Methods

- copy
- deepCopyFromJson
- getClass
- toJson

## Constructors

### constructor

- new Pageable(sort?: string, page?: number, size?: number): Pageable

- - Defined in repository/models/Page.ts:7

  #### Parameters

  - ##### Default value sort: string = ""

  - ##### Default value page: number = 0

  - ##### Default value size: number = 0

  #### Returns Pageable

## Properties

### page

page: number

- Defined in repository/models/Page.ts:6

### size

size: number

- Defined in repository/models/Page.ts:7

### sort

sort: string | undefined

- Defined in repository/models/Page.ts:5

## Methods

### copy

- copy(changeArgs?: JsonObject<Pageable>): Pageable

- Inherited from DeepCopy.copy

  - Defined in repository/models/DeepCopy.ts:11

  #### Parameters

  - ##### Optional changeArgs: JsonObject<Pageable>

  #### Returns Pageable

### Protected deepCopyFromJson

- deepCopyFromJson(): Pageable

- Inherited from DeepCopy.deepCopyFromJson

  - Defined in repository/models/DeepCopy.ts:22

  #### Returns Pageable

### Protected getClass

- getClass(): ClassCreator<Pageable>

- Overrides DeepCopy.getClass

  - Defined in repository/models/Page.ts:20

  #### Returns ClassCreator<Pageable>

### toJson

- toJson(): object

- Overrides JsonTransform.toJson

  - Defined in repository/models/Page.ts:16

  #### Returns object

Generated using TypeDoc